transform_units_precipitation <- function(data, original_units, new_units){
    if (!substr(original_units, 1, 2) == substr(new_units, 1, 2)){
        if (substr(original_units, 1, 2) == 'mm' & (substr(new_units, 1, 2) == 'm ' | substr(new_units, 1, 2) == 'm/')){
            data <- data / 1000
        } else if ((substr(original_units, 1, 2) == 'm ' | substr(original_units, 1, 2) == 'm/') & substr(new_units, 1, 2) == 'mm'){
            data <- data * 1000
        } else {stop(paste0("not prepared to transform from ", original_units, " to ", new_units))}
    }
    if (('s' %in% strsplit(original_units, " |/|per") | 'second' %in% strsplit(original_units, " |/|per")) & 'month' %in% strsplit(new_units, " |/|per")){
        data <- data * 3600 * 24 * 365.25/12
    } else if ('day' %in% strsplit(original_units, " |/|per")[[1]] & 'month' %in% strsplit(new_units, " |/|per")[[1]]){
        data <- data * 365.25/12
    } else {stop(paste0("not prepared to transform from ", original_units, " to ", new_units))}

    return(data)
}


